Get Target Account State API
This API retrieves the provisioning state and per-region cloudInfo for a target account. State is derived from the parent service account. Scoped to the authenticated customer.
Input parametersInput parameters
| Parameter | Mandatory/Optional | Data Type | Description |
|---|---|---|---|
| accountId | Mandatory | String (path) | Target account identifier |
Sample - Get Target Account StateSample - Get Target Account State
API Request
curl -X GET \ '<qualys_gateway_url>/flexscan-api/rest/v1/target-accounts/target-account-456' \ -H 'Authorization: Bearer <qas-jwt-token>'
API Response
{
"data": {
"accountId": "target-account-xxxx",
"cloudType": "GCP",
"state": "REGISTERED",
"cloudInfo": {
"us-east1": {
"vnetId": "/subscriptions/.../virtualNetworks/qualys-vnet-eastus",
"storageAccountName": "qualysstore123"
}
}
},
"errors": [],
"meta": {
"timestamp": "2026-05-28T11:30:00Z"
}
}